Package fr.gouv.vitam.metadata.core.database.collections

# Class MetadataSnapshot

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<MetadataSnapshot>
fr.gouv.vitam.metadata.core.database.collections.MetadataSnapshot

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class MetadataSnapshot extends VitamDocument<MetadataSnapshot>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `MetadataSnapshot.PARAMETERS`
  Parameters

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  the parameter name
  `static final String`
  `VALUE`
  the parameter value

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataSnapshot()`
  `MetadataSnapshot(com.fasterxml.jackson.databind.JsonNode content)`
  `MetadataSnapshot(String content)`
  `MetadataSnapshot(org.bson.Document content)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Name of the parameter
  `<T> T`
  `getValue(Class<T> clasz)`
  Get the contract parameter value
  `MetadataSnapshot`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `MetadataSnapshot`
  `setId(String id)`
  `MetadataSnapshot`
  `setName(String name)`
  Set or change the parameter name
  `<T> MetadataSnapshot`
  `setValue(T value)`
  Set or change the parameter value

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### NAME

    public static final String NAME
    the parameter name
    See Also:
      - Constant Field Values

  - ### VALUE

    public static final String VALUE
    the parameter value
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MetadataSnapshot

    public MetadataSnapshot()

  - ### MetadataSnapshot

    public MetadataSnapshot(String content)

  - ### MetadataSnapshot

    public MetadataSnapshot(com.fasterxml.jackson.databind.JsonNode content)

  - ### MetadataSnapshot

    public MetadataSnapshot(org.bson.Document content)

- ## Method Details

  - ### newInstance

    public MetadataSnapshot newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<MetadataSnapshot>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public MetadataSnapshot setId(String id)
    Parameters:
      `id` - the id of parameter value
    Returns:
      MetadataSnapshot

  - ### getName

    public String getName()
    Name of the parameter
    Returns:
      name of the parameter

  - ### setName

    public MetadataSnapshot setName(String name)
    Set or change the parameter name
    Parameters:
      `name` - to set
    Returns:
      this

  - ### getValue

    public <T> T getValue(Class<T> clasz)
    Get the contract parameter value
    Returns:
      this

  - ### setValue

    public <T> MetadataSnapshot setValue(T value)
    Set or change the parameter value
    Parameters:
      `value` - to set
    Returns:
      this